# Inflow & Outflow `GET` `https://api.unusualwhales.com/api/etfs/{ticker}/in-outflow` Returns an ETF's inflow and outflow. Defaults to the last year of data. Maximum date range is 3 years. ## Authentication ``` Authorization: Bearer YOUR_API_KEY ``` ## Path Parameters | Name | Type | Required | Description | |------|------|----------|-------------| | `ticker` | SingleTicker | Yes | A single ticker | ## Query Parameters | Name | Type | Required | Description | |------|------|----------|-------------| | `start_date` | Optional Market Date | No | A trading date in the format of YYYY-MM-DD. This is optional and by default the last trading date. | | `end_date` | Optional Market Date | No | A trading date in the format of YYYY-MM-DD. This is optional and by default the last trading date. | ## Response (200) | Field | Type | Description | |-------|------|-------------| | `change` | Etf Share Change | The net in/outflow measured as volume. | | `change_prem` | Etf Premium Change | The net in/outflow measured as premium. | | `close` | Stock Close Price | The close stock price of the ticker. | | `date` | General ISO Date | An ISO date. | | `is_fomc` | Is FOMC Date | If the date has an FOMC announcement. | | `volume` | Stock Day Stock Volume | The volume of the ticker for the trading day. | ## Example ### curl ```bash curl -X GET "https://api.unusualwhales.com/api/etfs/{ticker}/in-outflow" \ -H "Authorization: Bearer YOUR_API_KEY" \ -H "Accept: application/json" ``` ### Python ```python import http.client conn = http.client.HTTPSConnection("api.unusualwhales.com") headers = {"Authorization": "Bearer YOUR_API_KEY", "Accept": "application/json"} conn.request("GET", "/api/etfs/{ticker}/in-outflow", headers=headers) response = conn.getresponse() print(response.read().decode("utf-8")) ``` ## Response Example ```json { "data": [ { "change": -50, "change_prem": "-12000.0", "close": "236.16", "date": "2024-10-02", "is_fomc": false, "volume": 592342 }, { "change": 100, "change_prem": "23500.0", "close": "235.12", "date": "2024-10-01", "is_fomc": false, "volume": 602342 } ] } ```